Package org.eclipse.net4j.util.ui.views

# Class ManagedContainerItemProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<IContainer<Object>>
org.eclipse.net4j.util.ui.views.ItemProvider<IContainer<Object>>
org.eclipse.net4j.util.ui.views.ContainerItemProvider<IContainer<Object>>
org.eclipse.net4j.util.ui.views.ManagedContainerItemProvider

All Implemented Interfaces:
  `EventListener`, `DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `IBaseLabelProvider`, `IColorProvider`, `IContentProvider`, `IFontProvider`, `ILabelProvider`, `IStructuredContentProvider`, `ITreeContentProvider`, `IListener`

public class ManagedContainerItemProvider extends ContainerItemProvider<IContainer<Object>>

Since:
  3.17
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ManagedContainerItemProvider.Wrapper`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`ContainerItemProvider.AbstractContainerNode, ContainerItemProvider.AbstractNode, ContainerItemProvider.ContainerNode, ContainerItemProvider.ErrorElement, ContainerItemProvider.FixedChildrenNode, ContainerItemProvider.LazyElement, ContainerItemProvider.LeafNode, ContainerItemProvider.Node, ContainerItemProvider.SlowElement`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`ERROR_IMAGE, PENDING_COLOR, PENDING_IMAGE`

### Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

`NO_ELEMENTS`

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`ManagedContainerItemProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`connectInput(IContainer<Object> input)`
`protected void`
`disconnectInput(IContainer<Object> input)`
`void`
`dispose()`
`Object[]`
`getChildren(Object element)`
`Color`
`getForeground(Object element)`
`Image`
`getImage(Object element)`
`IManagedContainer`
`getInput()`
`Object`
`getParent(Object element)`
`String`
`getText(Object element)`
`boolean`
`hasChildren(Object element)`
`boolean`
`isShowFactories()`
`void`
`setShowFactories(boolean showFactories)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

`addNode, clearNodesCache, createContaineNode, createLeafNode, createNode, createSlowElement, createSlowInput, elementAdded, elementRemoved, executeRunnable, fillContextMenu, filterRootElement, getContainerChildren, getErrorText, getFont, getNode, getNodes, getRoot, getRootElementFilter, getSlowText, handleElementEvent, handleInactiveElement, isComputeChildrenEagerly, isSlow, pendingColor, pendingImage, removeNode`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

`addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getBackground, getElements, getListeners, getStyledText, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`expandElement, getBoldFont, getDisplay, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`inputChanged`

## Constructor Details

### ManagedContainerItemProvider

public ManagedContainerItemProvider()

## Method Details

### isShowFactories

public boolean isShowFactories()

### setShowFactories

public void setShowFactories(boolean showFactories)

### getInput

public IManagedContainer getInput()

Overrides:
  `getInput` in class `StructuredContentProvider<IContainer<Object>>`

### hasChildren

public boolean hasChildren(Object element)

Specified by:
  `hasChildren` in interface `ITreeContentProvider`
Overrides:
  `hasChildren` in class `ContainerItemProvider<IContainer<Object>>`

### getChildren

public Object[] getChildren(Object element)

Specified by:
  `getChildren` in interface `ITreeContentProvider`
Overrides:
  `getChildren` in class `ContainerItemProvider<IContainer<Object>>`

### getParent

public Object getParent(Object element)

Specified by:
  `getParent` in interface `ITreeContentProvider`
Overrides:
  `getParent` in class `ContainerItemProvider<IContainer<Object>>`

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `ItemProvider<IContainer<Object>>`

### getImage

public Image getImage(Object element)

Specified by:
  `getImage` in interface `DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `ContainerItemProvider<IContainer<Object>>`

### getForeground

public Color getForeground(Object element)

Specified by:
  `getForeground` in interface `IColorProvider`
Overrides:
  `getForeground` in class `ContainerItemProvider<IContainer<Object>>`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Specified by:
  `dispose` in interface `IContentProvider`
Overrides:
  `dispose` in class `StructuredContentProvider<IContainer<Object>>`

### connectInput

protected void connectInput(IContainer<Object> input)

Overrides:
  `connectInput` in class `ContainerItemProvider<IContainer<Object>>`

### disconnectInput

protected void disconnectInput(IContainer<Object> input)

Overrides:
  `disconnectInput` in class `ContainerItemProvider<IContainer<Object>>`